# -*- coding: utf-8 -*-#
# Ověření výpočtu exponenciály řadou

import math

# faktoriál
def factorial(n):
  prod=1
  for i in range(2,n+1):
    prod*=i
  return prod

# soucet rady x^1/1!+x^2/2!+...+x^n/n!
def series_sum(x,n):
  sum=0.
  for i in range(n+1):
    sum+=pow(x,i)/factorial(i)
  return sum

# tisk přesnosti approximace pro n=5,10,100
def print_accuracy(x):
    exact=math.exp(x)
    print("x=%10g exact=%10g" % (x,exact))
    for n in [5,10,100]: # smyčka přes seznam
      approx=series_sum(x,n)
      relerr=abs(exact-approx)/exact
      print("    n=%5d approx=%10g relerr=%10g" % (n,approx,relerr))

# vyhodnoceni přesnosti pro různá 'x'
print_accuracy(0.3)      
print_accuracy(3.0)      
print_accuracy(-0.7)      
      
