# -*- coding: utf-8 -*-#
# Řešení kvadratické rovnice s kontrolou

import math

# vrátí dva reálné kořeny, nebo None
def solve_quadratic(a,b,c):
  d=b*b-4*a*c
  if d>=0.:
    ds=math.sqrt(d)
    return (-b-ds)/(2*a),(-b+ds)/(2*a)
  else:
    return None


# vyhodnotí kvadratickou funkci v bodě x
def eval_quadratic(a,b,c,x):
  return c+(b+a*x)*x

def test_quadsolve():
  a=1.
  b=-3.
  c=2.
  x1,x2=solve_quadratic(a,b,c)
  print("x1=",x1,"x2=",x2)
  print("Residuál pro x1 = ",eval_quadratic(a,b,c,x1))
  print("Residuál pro x1 = ",eval_quadratic(a,b,c,x2))
  print(solve_quadratic(1.,0.,1.))

def main():  
  print("Řešíme kvadratickou rovnici x^2-3x+2=0")
  a=1.
  b=-3.
  c=2.
  x1,x2=solve_quadratic(a,b,c)
  print("x1=",x1,"x2=",x2)

  
if __name__ == "__main__":
  main()
